Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.C45
Class NumericCond

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Cond
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.NumericCond

    public class NumericCond

extends Cond

Version:
  $Id: NumericCond.java,v 1.5 2006/09/27 14:59:54 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary
`static int` | `gr_op`
`static int` | `le_op`
`protected int` | `m_op`
`protected double` | `m_value`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Cond
`m_attr`

Constructor Summary
`NumericCond()`

Method Summary
`void` | `dumpOn(java.io.PrintWriter w)`
`int` | `getOp()`
`java.lang.String` | `getOpName()`
`java.lang.String` | `getOpSymbol()`
`double` | `getValue()`
`void` | `setOp(int op)`
`void` | `setOp(java.lang.String v)`
`void` | `setValue(double v)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Cond
`getAttr, setAttr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### le_op

    public static final int le_op

See Also:
  Constant Field Values

### gr_op

    public static final int gr_op

See Also:
  Constant Field Values

### m_value

    protected double m_value

### m_op

    protected int m_op

Constructor Detail

### NumericCond

    public NumericCond()

Method Detail

### getValue

    public final double getValue()

### setValue

    public final void setValue(double v)

### getOp

    public final int getOp()

### setOp

    public final void setOp(int op)

### getOpName

    public final java.lang.String getOpName()

### getOpSymbol

    public final java.lang.String getOpSymbol()

### setOp

    public final void setOp(java.lang.String v)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### dumpOn

    public void dumpOn(java.io.PrintWriter w)

  Overrides:
    `dumpOn` in class `Cond`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005